# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

      <a name="0.9.0"></a>
# 0.9.0 (2018-03-22)

* fix(bootstrap-theme): number select styles ([6b45993](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/6b45993))
* fix(bootstrap-theme): theme improvements ([86077ae](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/86077ae))
* feat(bootstrap-theme): lf-number improvements ([a89551b](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/a89551b))
* feat(core): add file save/load support ([e4703eb](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/e4703eb))




      <a name="0.8.3"></a>

## 0.8.3 (2018-03-12)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

    <a name="0.8.2"></a>

## 0.8.2 (2018-03-12)

* fix(lint, prettier)
([9a23eff](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/9a23eff))


  <a name="0.8.1"></a>

## 0.8.1 (2018-03-09)

* fix(core): change how to access parent controller
([98dfe12](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/98dfe12))

<a name="0.8.0"></a>

# 0.8.0 (2018-03-08)

* feat(core): overall improvements
([2c74cde](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/2c74cde))

<a name="0.7.0"></a>

# 0.7.0 (2018-03-08)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.6.0"></a>

# 0.6.0 (2018-03-06)

* feat(schema/core): Better computed values support
([791f565](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/791f565))

<a name="0.5.0"></a>

# 0.5.0 (2018-03-02)

* fix(core): fix value of string controller not being properly removed on the
input deletion.
([74e825e](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/74e825e))

<a name="0.4.1"></a>

## 0.4.1 (2018-03-01)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.4.0"></a>

# 0.4.0 (2018-02-27)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.3.6"></a>

## 0.3.6 (2018-02-27)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.3.5"></a>

## 0.3.5 (2018-02-23)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.3.4"></a>

## 0.3.4 (2018-02-21)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.3.3"></a>

## 0.3.3 (2018-02-21)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.3.2"></a>

## 0.3.2 (2018-02-21)

* fix(core/schema): compute initialValue from schema
([73d7730](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/73d7730))

<a name="0.3.1"></a>

## 0.3.1 (2018-02-19)

* fix(core): setting value in record
([af2f296](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/af2f296))
* fix lint
([e23b5a8](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/e23b5a8))

<a name="0.3.0"></a>

# 0.3.0 (2018-02-17)

* Merge branch 'develop'
([9bd32cb](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/9bd32cb))
* fix(code): prettier
([7e5494d](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/7e5494d))
* feat(core): add output events to form controller
([053afe2](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/053afe2))

<a name="0.2.3"></a>

## 0.2.3 (2018-02-16)

* fix(core): fix onChange; add toggleable init value
([607d6fd](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/607d6fd))

<a name="0.2.2"></a>

## 0.2.2 (2018-02-16)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.2.1"></a>

## 0.2.1 (2018-02-16)

* Merge branch 'develop' of bitbucket.org:opensoftgitrepo/lightweightform into
develop
([03c6733](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/03c6733))
* Merge branch 'master' into develop
([cde4875](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/cde4875))
* fix(core): fix output names; remove ContentChild
([daa1dd6](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/daa1dd6))

<a name="0.2.0"></a>

# 0.2.0 (2018-02-15)

* Merge branch 'master' into develop
([aaa7c3c](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/aaa7c3c))
* feat(core): proper function support; computed vals
([c551a30](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/c551a30))

<a name="0.1.3"></a>

## 0.1.3 (2018-02-13)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.1.2"></a>

## 0.1.2 (2018-02-13)

* Merge branch 'develop'
([4c4f065](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/4c4f065))
* fix(bootstrap-theme): export core services.
([2ddc5bd](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/2ddc5bd))
* fix(table): remove print on lf-table html template
([1cb2053](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/1cb2053))

<a name="0.1.1"></a>

## 0.1.1 (2018-02-13)

**Note:** Version bump only for package @lightweightform/bootstrap-theme

<a name="0.1.0"></a>

# 0.1.0 (2018-02-13)

* feat(core): add more row manipulation methods
([a5c6752](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/a5c6752))
* Add table header: in progress
([fd76f42](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/fd76f42))
* Header improvements: WIP
([079fe69](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/079fe69))
* Merge branch 'develop' into feature/lf-table
([9e5b0e5](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/9e5b0e5))
* build: fix build:watch
([36abb1e](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/36abb1e))

<a name="0.0.1"></a>

## 0.0.1 (2018-02-07)

* fix: change moment to date-fns; build improvements
([a03f404](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/a03f404))
* fix(bootstrap-theme): remove showing schema
([3c9c117](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/3c9c117))
* style: run prettier
([6c67c42](https://bitbucket.org/opensoftgitrepo/lightweightform/commits/6c67c42))
